project.version=@project.version@

spring.datasource.url=jdbc:h2:mem:users
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.datasource.password=password
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect

spring.jpa.defer-datasource-initialization=true
spring.jpa.hibernate.ddl-auto=none

spring.h2.console.enabled=true

server.error.include-message=always

spring.web.locale=en

#spring.jpa.show-sql=true
#spring.jpa.properties.hibernate.format_sql=true

openapi.local-url=http://localhost:8080
openapi.global-url=http://users-env.eba-qgur9fn7.eu-central-1.elasticbeanstalk.com

management.endpoints.web.exposure.include=health, prometheus
management.prometheus.metrics.export.enabled=true
management.metrics.distribution.percentiles-histogram."[http.server.requests]"=true